#!/usr/bin/env python

from WebStack.Adapters.BaseHTTPRequestHandler import deploy
from WebStack.Resources.ResourceMap import MapResource
from WebStack.Resources.Static import DirectoryResource
import Configurator
import os

# Get the directory of the application.

directory = os.path.split(Configurator.__file__)[0]
configurator_resource = Configurator.ConfiguratorResource()

# Make a simple Web site.

resource = MapResource({
    # Static resources:
    "styles" : DirectoryResource(os.path.join(directory, "Resources", "styles"), {"css" : "text/css"}),
    "scripts" : DirectoryResource(os.path.join(directory, "Resources", "scripts"), {"js" : "text/javascript"}),
    # Main page:
    "" : configurator_resource,
    # Fragments:
    "cpu" : configurator_resource,
    "memory" : configurator_resource
    })

# Special magic incantation.

print "Serving..."
deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
